package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComStaffConfig {
    private String id;

    private Long staffId;

    private String putScene;

    private String channel;

    private Integer switchFlag;

    private Integer openRoomSendSwitchNum;

    private Long primaryThirdStaffId;

    private Long secondThirdStaffId;

    private Integer configSync;

    private Integer status;

    private Date createTime;

    private Date updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getPutScene() {
        return putScene;
    }

    public void setPutScene(String putScene) {
        this.putScene = putScene;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public Integer getSwitchFlag() {
        return switchFlag;
    }

    public void setSwitchFlag(Integer switchFlag) {
        this.switchFlag = switchFlag;
    }

    public Integer getOpenRoomSendSwitchNum() {
        return openRoomSendSwitchNum;
    }

    public void setOpenRoomSendSwitchNum(Integer openRoomSendSwitchNum) {
        this.openRoomSendSwitchNum = openRoomSendSwitchNum;
    }

    public Long getPrimaryThirdStaffId() {
        return primaryThirdStaffId;
    }

    public void setPrimaryThirdStaffId(Long primaryThirdStaffId) {
        this.primaryThirdStaffId = primaryThirdStaffId;
    }

    public Long getSecondThirdStaffId() {
        return secondThirdStaffId;
    }

    public void setSecondThirdStaffId(Long secondThirdStaffId) {
        this.secondThirdStaffId = secondThirdStaffId;
    }

    public Integer getConfigSync() {
        return configSync;
    }

    public void setConfigSync(Integer configSync) {
        this.configSync = configSync;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", staffId=").append(staffId);
        sb.append(", putScene=").append(putScene);
        sb.append(", channel=").append(channel);
        sb.append(", switchFlag=").append(switchFlag);
        sb.append(", openRoomSendSwitchNum=").append(openRoomSendSwitchNum);
        sb.append(", primaryThirdStaffId=").append(primaryThirdStaffId);
        sb.append(", secondThirdStaffId=").append(secondThirdStaffId);
        sb.append(", configSync=").append(configSync);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}